/* COPYRIGHT Esri - https://js.arcgis.com/5.0/LICENSE.txt */
import "monaco-editor";
import "monaco-editor/esm/vs/editor/standalone/browser/standaloneServices.js";
import "monaco-editor/esm/vs/editor/standalone/common/standaloneTheme.js";
import "monaco-editor/esm/vs/platform/hover/browser/hover.js";
import "monaco-editor/esm/vs/editor/common/languages/supports/tokenization.js";
import "monaco-editor/esm/vs/base/browser/dom.js";
import "monaco-editor/esm/vs/editor/browser/editorDom.js";
import "monaco-editor/esm/vs/editor/browser/controller/mouseTarget.js";
const r = async () => {
  const { editor: t } = await import("monaco-editor/esm/vs/editor/editor.api.js");
  return t;
};
let o = null;
async function d() {
  return o ??= r(), await o;
}
export {
  d as i
};
